Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## cc.mallet.classify
Class NaiveBayesEMTrainer

    java.lang.Object
      cc.mallet.classify.ClassifierTrainer<NaiveBayes>
          cc.mallet.classify.NaiveBayesEMTrainer

    public class NaiveBayesEMTrainer

extends ClassifierTrainer<NaiveBayes>

Author:
  Andrew McCallum mccallum@cs.umass.edu

Nested Class Summary

Nested classes/interfaces inherited from class cc.mallet.classify.ClassifierTrainer
`ClassifierTrainer.ByActiveLearning<C extends Classifier>, ClassifierTrainer.ByIncrements<C extends Classifier>, ClassifierTrainer.ByInstanceIncrements<C extends Classifier>, ClassifierTrainer.ByOptimization<C extends Classifier>, ClassifierTrainer.Factory<CT extends ClassifierTrainer<? extends Classifier>>`

Field Summary

Fields inherited from class cc.mallet.classify.ClassifierTrainer
`finishedTraining, validationSet`

Constructor Summary
`NaiveBayesEMTrainer()`

Method Summary
`NaiveBayes` | `getClassifier()`
`double` | `getDocLengthNormalization()`
`Multinomial.Estimator` | `getFeatureMultinomialEstimator()`
`int` | `getIteration()`
`Multinomial.Estimator` | `getPriorMultinomialEstimator()`
`double` | `getUnlabeledDataWeight()`
`boolean` | `isFinishedTraining()`
`void` | `setDocLengthNormalization(double d)`
`void` | `setFeatureMultinomialEstimator(Multinomial.Estimator me)`
`void` | `setPriorMultinomialEstimator(Multinomial.Estimator me)`
`void` | `setUnlabeledDataWeight(double unlabeledDataWeight)`
`java.lang.String` | `toString()`
`NaiveBayes` | `train(InstanceList trainingSet)`

Methods inherited from class cc.mallet.classify.ClassifierTrainer
`getValidationInstances, setValidationInstances`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NaiveBayesEMTrainer

    public NaiveBayesEMTrainer()

Method Detail

### getFeatureMultinomialEstimator

    public Multinomial.Estimator getFeatureMultinomialEstimator()

### setFeatureMultinomialEstimator

    public void setFeatureMultinomialEstimator(Multinomial.Estimator me)

### getPriorMultinomialEstimator

    public Multinomial.Estimator getPriorMultinomialEstimator()

### setPriorMultinomialEstimator

    public void setPriorMultinomialEstimator(Multinomial.Estimator me)

### setDocLengthNormalization

    public void setDocLengthNormalization(double d)

### getDocLengthNormalization

    public double getDocLengthNormalization()

### getUnlabeledDataWeight

    public double getUnlabeledDataWeight()

### setUnlabeledDataWeight

    public void setUnlabeledDataWeight(double unlabeledDataWeight)

### getIteration

    public int getIteration()

### isFinishedTraining

    public boolean isFinishedTraining()

  Overrides:
    `isFinishedTraining` in class `ClassifierTrainer<NaiveBayes>`

### getClassifier

    public NaiveBayes getClassifier()

  Specified by:
    `getClassifier` in class `ClassifierTrainer<NaiveBayes>`

### train

    public NaiveBayes train(InstanceList trainingSet)

  Specified by:
    `train` in class `ClassifierTrainer<NaiveBayes>`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD